// creator  : weidu.exe (version 23100)
// argument : GARKID02.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~GARKID02~

IF ~NumTimesTalkedTo(0)
!Class(Player1,PALADIN)
!See("garren")
Global("Kidnap","GLOBAL",0)~ THEN BEGIN 0 // from:
  SAY #34080 /* ~Father has much faith in you, that you are genuinely pained at what has happened. Faith is very important to him. Please do not disappoint him.~ */
  IF ~~ THEN REPLY #34081 /* ~I would not dream of it. He is an honorable man.~ */ GOTO 1
  IF ~~ THEN REPLY #34082 /* ~I will try, though my destiny is quite beyond my control at the moment.~ */ GOTO 2
  IF ~~ THEN REPLY #34083 /* ~He takes his chances. I am not responsible for where he puts his faith.~ */ GOTO 3
END

IF ~~ THEN BEGIN 1 // from: 0.0
  SAY #34084 /* ~Perhaps too honorable. He could not match the tactics of Lord Jierdan, and now hides his shame. Please, I would ask you to shame this Firkraag as he shamed my father.~ */
  IF ~~ THEN GOTO 4
END

IF ~~ THEN BEGIN 2 // from: 0.1
  SAY #34085 /* ~That is how my father felt. He claims he has found his way again, but I know he doubts. If you can, give the doubt back to Jierdan. Father would not ask, but I will.~ */
  IF ~~ THEN GOTO 4
END

IF ~~ THEN BEGIN 3 // from: 0.2
  SAY #34086 /* ~He has little left to believe in, and breaking his trust would not strengthen him. His failure haunts him, and I would ask you to repay Jierdan for this.~ */
  IF ~~ THEN GOTO 4
END

IF ~~ THEN BEGIN 4 // from: 3.0 2.0 1.0
  SAY #34087 /* ~Lord Jierdan Firkraag deserves to be hurt. I trust you will do your best, if not for my father, then for yourself.~ */
  IF ~~ THEN DO ~SetGlobal("SpawnJum","GLOBAL",1)
RestParty()~ EXIT
END

IF ~NumTimesTalkedTo(0)
InPartySlot(LastTalkedToBy,0)
Class(Player1,PALADIN)
Gender(Player1,FEMALE)
!See("garren")
Global("Kidnap","GLOBAL",0)~ THEN BEGIN 5 // from:
  SAY #34088 /* ~My lady, you honor us. Forgive the stars in my eyes, but you are just as I imagined a Bringer of Light. Father has told of your shame, and I offer sympathies.~ */
  IF ~~ THEN GOTO 6
END

IF ~~ THEN BEGIN 6 // from: 5.0
  SAY #34098 /* ~It must be horrible for you, a paladin, to suffer this abuse; to have your will corrupted with trickery must be a great affront. Know that I wish you well in this.~ */
  IF ~~ THEN GOTO 7
END

IF ~~ THEN BEGIN 7 // from: 6.0
  SAY #34100 /* ~Ah, but I must seem a simpering fool. Forgive me, but I have long admired those called paladin. You are as impressive in person as in story.~ */
  IF ~~ THEN REPLY #34101 /* ~I do not feel impressive. I have lost my honor to a lie.~ */ GOTO 8
  IF ~~ THEN REPLY #34102 /* ~Your words flatter, but I am undeserving.~ */ GOTO 8
  IF ~~ THEN REPLY #34103 /* ~Save your words for tales around the campfire. There is no glory in what has happened.~ */ GOTO 8
  IF ~~ THEN REPLY #34104 /* ~I strive to be a role model. Even in this time of trial I will stand tall.~ */ GOTO 8
END

IF ~~ THEN BEGIN 8 // from: 7.3 7.2 7.1 7.0
  SAY #34109 /* ~You may be downtrodden, but remember what it is to be a paladin. You suffer that others might not. You live a life of hardship that others might enjoy freedoms.~ */
  IF ~~ THEN REPLY #34115 /* ~Yes, yes, so you say, but you do not know. You are only an observer in this.~ */ GOTO 9
  IF ~~ THEN REPLY #34116 /* ~Your words ring true, but as a dishonored paladin I am limited in what I can do.~ */ GOTO 10
  IF ~~ THEN REPLY #34117 /* ~You know nothing of me. You base your assumptions on storybooks and legend.~ */ GOTO 11
END

IF ~~ THEN BEGIN 9 // from: 8.0
  SAY #34125 /* ~But observers take heart in your plight. You are the example, the unachievable goal that is forever ahead. Forgive my melodrama, but I believe it warranted.~ */
  IF ~~ THEN GOTO 12
END

IF ~~ THEN BEGIN 10 // from: 8.1
  SAY #34126 /* ~You are never limited. You will fight on, as a warrior of light should. I am sorry if I sound melodramatic, but it is beings like you that have inspired me.~ */
  IF ~~ THEN GOTO 12
END

IF ~~ THEN BEGIN 11 // from: 8.2
  SAY #34127 /* ~But the storybook is open before me, and the legend plays out around. I am sorry if I seem to melodramatic, but it is true. At least, to me it is.~ */
  IF ~~ THEN GOTO 12
END

IF ~~ THEN BEGIN 12 // from: 11.0 10.0 9.0
  SAY #34128 /* ~My lady, I would restore your faith if I could, but all I can offer is lodging and perhaps my prayers. Have you a betrothed? If not, perhaps that is all you lack?~ */
  IF ~~ THEN REPLY #34129 /* ~Er, not as such.~ */ GOTO 13
  IF ~~ THEN REPLY #34130 /* ~Yes, yes I do, in fact.~ */ GOTO 14
  IF ~~ THEN REPLY #34131 /* ~You are not suggesting that you will fill the role, are you?~ */ GOTO 15
END

IF ~~ THEN BEGIN 13 // from: 12.0
  SAY #34132 /* ~Then I shall be your betrothed. I will pine for your return while you smite evil in my name. That is, if you don't mind. I've read it's a very "paladin" thing to do.~ */
  IF ~~ THEN GOTO 16
END

IF ~~ THEN BEGIN 14 // from: 12.1
  SAY #34133 /* ~Ahh, then our affection for each other will be all the more tragic and courtly. It's a very paladin-like thing to do, or so I've read.~ */
  IF ~~ THEN GOTO 16
END

IF ~~ THEN BEGIN 15 // from: 12.2
  SAY #34134 /* ~I would never presume to make such a designation, but it would be a very "paladin" thing to do. Smiting evil in the name of your unattainable love. Or so I've read.~ */
  IF ~~ THEN GOTO 16
END

IF ~~ THEN BEGIN 16 // from: 15.0 14.0 13.0
  SAY #34135 /* ~I do not seek to establish a relationship; I only sought to exercise a time-honored paladin tradition. I have not the means to organize a joust, you understand.~ */
  IF ~~ THEN REPLY #34136 /* ~Then I shall take heart and strive on, knowing you believe in the acts I do.~ */ GOTO 17
  IF ~~ THEN REPLY #34138 /* ~I appreciate the effort, but it is hollow comfort in this time.~ */ GOTO 17
END

IF ~~ THEN BEGIN 17 // from: 16.1 16.0
  SAY #34139 /* ~I know you will persevere. I am sure of it.~ */
  IF ~~ THEN DO ~SetGlobal("SpawnJum","GLOBAL",1)
RestParty()~ EXIT
END

IF ~~ THEN BEGIN 18 // from: GARJUM:0.1
  SAY #34251 /* ~Quiet yourself, Jum, you don't want to alarm our guests. What is the matter?~ */
  IF ~~ THEN EXTERN ~GARJUM~ 1
END

IF ~~ THEN BEGIN 19 // from: GARJUM:4.1 GARJUM:3.1 GARJUM:2.1
  SAY #34272 /* ~I am not incapable of defense, though this might be a task more suited to our guest. She has a score to settle, perhaps? I'm sure everything will be fine.~ */
  IF ~~ THEN DO ~StartCutSceneMode()
StartCutScene("cut21b")
~ EXIT
END

IF ~~ THEN BEGIN 20 // from:
  SAY #34352 /* ~I'm sure you'll be able to handle everything.~ */
  IF ~~ THEN EXIT
END

IF ~Global("Kidnap","GLOBAL",3)
Global("GarKidReleased","GLOBAL",0)~ THEN BEGIN 21 // from:
  SAY #34353 /* ~Thank the gods! Free me and we shall away!  I fear the locks are magical; the mage that brought me had some sort of key. I don't know how you might obtain it.~ */
  IF ~~ THEN GOTO 27
END

IF ~Global("GarKidReleased","GLOBAL",1)
Global("Kidnap","GLOBAL",3)~ THEN BEGIN 22 // from:
  SAY #34354 /* ~Thank you! We must away from this place! Meet me back at my father's cabin.~ */
  IF ~~ THEN DO ~AddExperienceParty(23750)
SetGlobal("Kidnap","GLOBAL",4)
EscapeAreaMove("ar1204",439,327,13)~ UNSOLVED_JOURNAL #5826 /* ~Rescue Garren's child from Firkraag.

I have freed Garren's child, who fled the dungeon quickly.  Now, unless I choose to face Firkraag himself, I should return to Garren's cabin, as well.  My mission here, at least, has been completed.~ */ EXIT
END

IF ~Global("Kidnap","GLOBAL",4)
Dead("firkra02")~ THEN BEGIN 23 // from:
  SAY #34357 /* ~I cannot believe that it is over! You have done the unimaginable! My rescue, and the destruction of Firkraag... it is astounding!~ */
  IF ~Class(Player1,PALADIN)
~ THEN GOTO 25
  IF ~!Class(Player1,PALADIN)
~ THEN GOTO 26
END

IF ~Global("Kidnap","GLOBAL",4)
!Dead("firkra02")~ THEN BEGIN 24 // from:
  SAY #34359 /* ~We are safe once again, but for how long? Something is... unfinished in this. A powerful evil lurks in the dark. I shall sleep restless from now on, I think.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 25 // from: 23.0
  SAY #34361 /* ~Your honor is no doubt restored, and your name will inspire generations! Such an epic; I knew you had it in you! You shall be the bringer of light in my storybooks now.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 26 // from: 23.1
  SAY #34362 /* ~You have gone above and beyond the call, I think. An epic battle that will be remembered for ages. I thank you.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 27 // from: 21.0
  SAY #40650 /* ~I have seen Firkraag; do not risk yourself for my sake. Find a way to get the key from the mage and we shall flee this place.~ */
  IF ~~ THEN UNSOLVED_JOURNAL #7085 /* ~Rescue Garren's child from Firkraag.

I have encountered Garren's child locked within a cell.  The cell has a magical lock, apparently, and the key for it may be on a mage somewhere nearby.  Garren's child also warned me that Firkraag is extremely dangerous and that it is not necessary for me to confront him... if I can, getting the key and freeing Garren's child will be enough.~ */ EXIT
END
